uk.gov.hmrc.alertconfig

# HttpStatus

###
Related Doc: package alertconfig

#### object HttpStatus extends Enumeration

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. HttpStatus
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type HttpStatusType = Value

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val HTTP_STATUS_429: Value

5. #### val HTTP_STATUS_499: Value

6. #### val HTTP_STATUS_500: Value

7. #### val HTTP_STATUS_501: Value

8. #### val HTTP_STATUS_502: Value

9. #### val HTTP_STATUS_503: Value

10. #### val HTTP_STATUS_504: Value

11. #### final def Value(i: Int, name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

12. #### final def Value(name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

13. #### final def Value(i: Int): Value

    Attributes
      protected
    Definition Classes
      Enumeration

14. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

15. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

16. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def maxId: Int

    Definition Classes
      Enumeration

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

27. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

33. #### def values: ValueSet

    Definition Classes
      Enumeration

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped